## GWin32OutputStream

GWin32OutputStream — Streaming output operations for Windows file handles

## Functions

GOutputStream * | g_win32_output_stream_new ()
void | g_win32_output_stream_set_close_handle ()
gboolean | g_win32_output_stream_get_close_handle ()
void * | g_win32_output_stream_get_handle ()

## Types and Values

struct | GWin32OutputStream

## Includes

    #include <gio/gwin32outputstream.h>

## Description

GWin32OutputStream implements GOutputStream for writing to a Windows file handle.

Note that `&lt;gio/gwin32outputstream.h>` belongs to the Windows-specific GIO interfaces, thus you have to use the `gio-windows-2.0.pc` pkg-config file when using it.

## Functions

### g_win32_output_stream_new ()

    GOutputStream *
    g_win32_output_stream_new (void *handle,
                               gboolean close_handle);

Creates a new GWin32OutputStream for the given `handle` .

If `close_handle` , is `TRUE`, the handle will be closed when the output stream is destroyed.

#### Parameters

handle | a Win32 file handle |
close_handle | `TRUE` to close the handle when done |

#### Returns

a new GOutputStream

Since: 2.26

### g_win32_output_stream_set_close_handle ()

    void
    g_win32_output_stream_set_close_handle
                                   (GWin32OutputStream *stream,
                                    gboolean close_handle);

Sets whether the handle of `stream` shall be closed when the stream is closed.

#### Parameters

stream | a GWin32OutputStream |
close_handle | `TRUE` to close the handle when done |

Since: 2.26

### g_win32_output_stream_get_close_handle ()

    gboolean
    g_win32_output_stream_get_close_handle
                                   (GWin32OutputStream *stream);

Returns whether the handle of `stream` will be closed when the stream is closed.

#### Parameters

stream | a GWin32OutputStream |

#### Returns

`TRUE` if the handle is closed when done

Since: 2.26

### g_win32_output_stream_get_handle ()

    void *
    g_win32_output_stream_get_handle (GWin32OutputStream *stream);

Return the Windows handle that the stream writes to.

#### Parameters

stream | a GWin32OutputStream |

#### Returns

The handle descriptor of `stream`

Since: 2.26

## Types and Values

### struct GWin32OutputStream

    struct GWin32OutputStream {
      GOutputStream parent_instance;
    };

Implements GOutputStream for outputting to Windows file handles

## See Also

GOutputStream